Bug 574477 - pootle bundles (python-)djblets
pootle bundles (python-)djblets
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pootle (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Dwayne Bailey
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2010-03-17 11:57 EDT by Mark Chappell
Modified: 2010-04-13 21:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: pootle-2.0.3-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-13 21:32:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Chappell 2010-03-17 11:57:31 EDT
In a recent script run against the F12 repos it was reported that there are file conflicts between pootle and python-djblets.

This looks very much like pootle has bundled part of djblets.

http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries


=> pootle-2.0.1-2.fc12.src.rpm
=> pootle-2.0.1-2.fc12.noarch in updates
 File conflict with: python-djblets-0.5.6-0.fc12.noarch
    /usr/lib/python2.6/site-packages/djblets/__init__.py
    /usr/lib/python2.6/site-packages/djblets/__init__.pyc
    /usr/lib/python2.6/site-packages/djblets/__init__.pyo
    /usr/lib/python2.6/site-packages/djblets/siteconfig/__init__.pyc
    /usr/lib/python2.6/site-packages/djblets/siteconfig/__init__.pyo
    /usr/lib/python2.6/site-packages/djblets/siteconfig/admin.py
    /usr/lib/python2.6/site-packages/djblets/siteconfig/admin.pyc
    /usr/lib/python2.6/site-packages/djblets/siteconfig/admin.pyo
    /usr/lib/python2.6/site-packages/djblets/siteconfig/context_processors.py
    /usr/lib/python2.6/site-packages/djblets/siteconfig/context_processors.pyc
    /usr/lib/python2.6/site-packages/djblets/siteconfig/context_processors.pyo
    /usr/lib/python2.6/site-packages/djblets/siteconfig/django_settings.pyc
    /usr/lib/python2.6/site-packages/djblets/siteconfig/django_settings.pyo
    /usr/lib/python2.6/site-packages/djblets/siteconfig/forms.py
    /usr/lib/python2.6/site-packages/djblets/siteconfig/forms.pyc
    /usr/lib/python2.6/site-packages/djblets/siteconfig/forms.pyo
    /usr/lib/python2.6/site-packages/djblets/siteconfig/managers.py
    /usr/lib/python2.6/site-packages/djblets/siteconfig/managers.pyc
    /usr/lib/python2.6/site-packages/djblets/siteconfig/managers.pyo
    /usr/lib/python2.6/site-packages/djblets/siteconfig/middleware.py
    /usr/lib/python2.6/site-packages/djblets/siteconfig/middleware.pyc
    /usr/lib/python2.6/site-packages/djblets/siteconfig/middleware.pyo
    /usr/lib/python2.6/site-packages/djblets/siteconfig/models.py
    /usr/lib/python2.6/site-packages/djblets/siteconfig/models.pyc
    /usr/lib/python2.6/site-packages/djblets/siteconfig/models.pyo
    /usr/lib/python2.6/site-packages/djblets/siteconfig/views.py
    /usr/lib/python2.6/site-packages/djblets/siteconfig/views.pyc
    /usr/lib/python2.6/site-packages/djblets/siteconfig/views.pyo
    /usr/lib/python2.6/site-packages/djblets/util/__init__.py
    /usr/lib/python2.6/site-packages/djblets/util/__init__.pyc
    /usr/lib/python2.6/site-packages/djblets/util/__init__.pyo
    /usr/lib/python2.6/site-packages/djblets/util/context_processors.py
    /usr/lib/python2.6/site-packages/djblets/util/context_processors.pyc
    /usr/lib/python2.6/site-packages/djblets/util/context_processors.pyo
    /usr/lib/python2.6/site-packages/djblets/util/dates.py
    /usr/lib/python2.6/site-packages/djblets/util/dates.pyc
    /usr/lib/python2.6/site-packages/djblets/util/dates.pyo
    /usr/lib/python2.6/site-packages/djblets/util/db.py
    /usr/lib/python2.6/site-packages/djblets/util/db.pyc
    /usr/lib/python2.6/site-packages/djblets/util/db.pyo
    /usr/lib/python2.6/site-packages/djblets/util/dbevolution.py
    /usr/lib/python2.6/site-packages/djblets/util/dbevolution.pyc
    /usr/lib/python2.6/site-packages/djblets/util/dbevolution.pyo
    /usr/lib/python2.6/site-packages/djblets/util/decorators.pyc
    /usr/lib/python2.6/site-packages/djblets/util/decorators.pyo
    /usr/lib/python2.6/site-packages/djblets/util/fields.pyc
    /usr/lib/python2.6/site-packages/djblets/util/fields.pyo
    /usr/lib/python2.6/site-packages/djblets/util/http.py
    /usr/lib/python2.6/site-packages/djblets/util/http.pyc
    /usr/lib/python2.6/site-packages/djblets/util/http.pyo
    /usr/lib/python2.6/site-packages/djblets/util/misc.py
    /usr/lib/python2.6/site-packages/djblets/util/misc.pyc
    /usr/lib/python2.6/site-packages/djblets/util/misc.pyo
    /usr/lib/python2.6/site-packages/djblets/util/rooturl.py
    /usr/lib/python2.6/site-packages/djblets/util/rooturl.pyc
    /usr/lib/python2.6/site-packages/djblets/util/rooturl.pyo
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/__init__.pyc
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/__init__.pyo
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_deco.py
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_deco.pyc
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_deco.pyo
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_email.py
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_email.pyc
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_email.pyo
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_forms.py
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_forms.pyc
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_forms.pyo
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_images.py
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_images.pyc
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_images.pyo
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_js.py
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_js.pyc
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_js.pyo
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_utils.py
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_utils.pyc
    /usr/lib/python2.6/site-packages/djblets/util/templatetags/djblets_utils.pyo
    /usr/lib/python2.6/site-packages/djblets/util/testing.py
    /usr/lib/python2.6/site-packages/djblets/util/testing.pyc
    /usr/lib/python2.6/site-packages/djblets/util/testing.pyo
    /usr/lib/python2.6/site-packages/djblets/util/tests.py
    /usr/lib/python2.6/site-packages/djblets/util/tests.pyc
    /usr/lib/python2.6/site-packages/djblets/util/tests.pyo
Comment 1 Dwayne Bailey 2010-03-19 11:35:22 EDT
Yes it does, I will try look this weekend to clean this up and validate any others that we shouldn't be including.
Comment 2 Fedora Update System 2010-03-25 07:56:14 EDT
pootle-2.0.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pootle-2.0.3-1.fc12
Comment 3 Fedora Update System 2010-03-26 20:54:29 EDT
pootle-2.0.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pootle'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pootle-2.0.3-1.fc12
Comment 4 Fedora Update System 2010-04-13 21:32:01 EDT
pootle-2.0.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.